import request from "@/utils/request";

// 载具绑定工序物料详情列表查询（齐套叫料箱子列表）
export function boxSuitList(p: object) {
  return request({
    url: `/api/v1/process/vehicleOperation/list`,
    method: "post",
    data: p,
  });
}

// 载具绑定工序物料详情列表查询(根据绑定在工序中的料箱id 获取详情)
export function boxSuitDetailByBoxId(p: object) {
  return request({
    url: `/api/v1/process/vehicleMaterial/list`,
    method: "post",
    data: p,
  });
}

export function accessoriesList(data: any) {
  return request({
    url: `/api/v1/base/accessories/material/accessoriesList`,
    method: "post",
    data: data,
  });
}

// 未齐套叫料
export function callNotFullSuit(p: object) {
  return request({
    url: `/api/v1/process/vehicleOperation/materialOut`,
    method: "post",
    data: p,
  });
}

// 获取预齐套某个载具
export function outSuitBox(p: object) {
  return request({
    url: `/api/v1/process/vehicleOperation/vehicleOut`,
    method: "post",
    data: p,
  });
}

//零星叫料
export function sporadicCallItem(p: object) {
  return request({
    url: `/api/v1/process/vehicleOperation/sporadicCallItem`,
    method: "post",
    data: p,
  });
}

// 叫料历史分页查询
export function callHistoryList(p: object) {
  return request({
    url: `/api/v1/api/v1/process/callItem/page`,
    method: "post",
    data: p,
  });
}
